import { NextRequest, NextResponse } from 'next/server';
import { b as I18nMiddlewareConfig } from '../../types-a33ef0a2.js';
import 'international-types';

declare function createI18nMiddleware<Locales extends readonly string[]>(locales: Locales, defaultLocale: Locales[number], config?: I18nMiddlewareConfig<Locales>): (request: NextRequest) => NextResponse<unknown>;

export { createI18nMiddleware };
