import { LocaleValue, Params, BaseLocale } from 'international-types';

type LocaleContext<Locale extends BaseLocale> = {
    localeContent: Locale;
    fallbackLocale?: Locale;
};
type ReactParamsObject<Value extends LocaleValue> = Record<Params<Value>[number], React.ReactNode>;

export { LocaleContext as L, ReactParamsObject as R };
